language: cn
model_unique_abbr: kernel_density_estimation_gdal
version: 1.0
identification:
  docker_image_name: kernel_density_estimation:1.0-gdal3.5.1
  model_name: 核密度分析
  semantic: kernel density estimation
  description: 反映地理空间对象密度在连续空间内变化的估计算法。
  category_application: 描述型
  category_data:
  - 矢量点数据
  keywords:
  - 核函数
  - 密度分析
parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: false
    param_type: input_data
    name: 空间点数据
    description: 要计算密度的待输入的空间点数据，数据格式为shp
    data_type: shp
    data_semantic: spatial point data

  - arg_name: population
    is_single_en_dash: false
    param_type: param
    name: 权重字段
    description: 表示每个特征的总体值的字段
    data_type: str
    data_semantic: population field
    param_switches:
    - switch_arg_name: input
      switch_arg_value_regex: shp$
      switch_arg_value_examples: [data.shp]
  - arg_name: cellsize
    is_single_en_dash: false
    param_type: param
    name: 像元大小
    description: 输出栅格数据集的像元大小。float类型，大于0，默认值30。
    data_type: float
    data_semantic: cell size
    specification:
      range:
      - "(0,)"
      default: 30
  - arg_name: searchradius
    is_single_en_dash: false
    param_type: param
    name: 搜索半径
    description: 计算密度的搜索半径，在其范围内计算密度的搜索半径，单位取决于输入数据的单位。float类型，大于0，默认值为30。
    data_type: float
    data_semantic: search radius
    specification:
      range:
      - "(0,)"
      default: 30
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 分析结果
    description: 核密度分析结果数据，数据格式为tif
    data_type: tif
    data_semantic: kernel analysis result
  groups:
  - group_id: ifield
    group_name: 权重字段
    group_param_arg_names:
    - input
    - population
application:
  domain: 空间点密度分析
  objective: 研究空间点密度分布
  dimension:
  - 二维
  mechanism: 将研究区域划分为若干栅格单元，根据落入每个单元周围邻域内的点要素的数量，并根据核函数赋给不同权值，求和计算得到单元的点密度值
operation:
  usage: 该算法使用像元大小(cellsize)或计算密度的搜索半径(searchradius)使用核函数将输入数据中的所有要素拟合为光滑锥状表面。搜索半径参数值越大，生成的密度栅格越平滑且概化程度越高。值越小，生成的栅格所显示的信息越详细。
  exec_example:
  - docker run -v $(pwd):/data kernel_density_estimation:1.0-gdal3.5.1 --input /data/data.shp --output /data/kde_result.tif
  - docker run -v $(pwd):/data kernel_density_estimation:1.0-gdal3.5.1 --input /data/data.shp --population pop --cellsize 30 --searchradius 30 --output /data/kde_result.tif
  output_display:
  - 用不同的色带对tif进行可视化
  license:
  - osgeo-BSD-3
  - geopy-MIT
  - pyproj-MIT
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  dependencies:
  - name: osgeo
    version: 3.5.1
  - name: geopy
    version: 2.2.0
  - name: pyproj
    version: 3.3.1
source:
  maintainer: Minghui Li
  organization: Central South University
  contact: 286381830@qq.com
  integrated_softwares:
  - name: osgeo
    version: 3.5.1
    license: BSD-3
  - name: geopy
    version: 2.2.0
    license: MIT
  - name: pyproj
    version: 3.3.1
    license: MIT
  references:
  - "Silverman, B. W. 1986. Density estimation for statistics and data analysis. New York, Chapman and Hall, p176."
